MCP Tools Reference: gmailmcp.googleapis.com

工具:unlabel_thread

从经过身份验证的用户的 Gmail 账号中的整个会话中移除标签。如果不确定会话 ID,请先使用 search_threads 工具。如果不确定用户标签的 ID,请先使用 list_labels 工具。

以下示例演示了如何使用 curl 调用 unlabel_thread MCP 工具。

Curl 请求
curl --location 'https://gmailmcp.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "unlabel_thread",
    "arguments": {
      // provide these details according to the tool MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

输入架构

UnlabelThread RPC 的请求消息。

UnlabelThreadRequest

JSON 表示法
{
  "threadId": string,
  "labelIds": [
    string
  ]
}
字段
threadId

string

必需。要从中移除标签的会话的唯一标识符。

labelIds[]

string

必需。要移除的标签的唯一标识符。

输出架构

UnlabelThread RPC 的响应消息。

工具注释

破坏性提示:✅ | 等幂性提示:✅ | 只读提示:❌ | 开放世界提示:❌